

#include "autoroot/F_CRRC4_Spectro.h"

#include "fasterac/spectro.h"

ClassImp (F_CRRC4_Spectro)


   F_CRRC4_Spectro::F_CRRC4_Spectro ()
   {
      Reset ();
   }


   void F_CRRC4_Spectro::Reset ()  {
      F_Data::Reset ();
      measure   = 0;
      saturated = kFALSE;
      pileup    = kFALSE;
      delta_ns  = 0.0;
   }


   void F_CRRC4_Spectro::Reset (const faster_data_p data) {
     crrc4_spectro* adc;
     if (Data_Check (data)) {
        F_Data::Reset (data);
        adc = (crrc4_spectro*) faster_data_load_p (data);
        measure   = adc->measure;
        saturated = adc->saturated;
        pileup    = adc->pileup;
        delta_ns  = crrc4_spectro_delta_t_ns (*adc);
     }
   }


   TString F_CRRC4_Spectro::Type_Name ()
   {
      return "CRRC4_SPECTRO";
   }


   Bool_t F_CRRC4_Spectro::Type_Check (const Int_t type)
   {
      return (type == CRRC4_SPECTRO_TYPE_ALIAS);
   }

