
#include "autoroot/F_Spectro_Cnt.h"

#include "fasterac/spectro.h"


ClassImp (F_Spectro_Cnt)


   F_Spectro_Cnt::F_Spectro_Cnt ()
   {
      Reset ();
   }


   void F_Spectro_Cnt::Reset ()  {
      F_Data::Reset ();
      calc = 0;
      sent = 0;
      trig = 0;
   }


   void F_Spectro_Cnt::Reset (const faster_data_p data) {
     spectro_counter* cnt;
     if (Data_Check (data)) {
        F_Data::Reset (data);
        cnt = (spectro_counter*) faster_data_load_p (data);
        calc = cnt->calc;
        sent = cnt->sent;
        trig = cnt->trig;
     }
   }


   TString F_Spectro_Cnt::Type_Name ()
   {
      return "SPECTRO_COUNTER";
   }


   Bool_t F_Spectro_Cnt::Type_Check (const Int_t type)
   {
      return (type == SPECTRO_COUNTER_TYPE_ALIAS);
   }

