

#include "autoroot/F_Trapez_Spectro.h"

#include "fasterac/spectro.h"

ClassImp (F_Trapez_Spectro)


   F_Trapez_Spectro::F_Trapez_Spectro ()
   {
      Reset ();
   }


   void F_Trapez_Spectro::Reset ()  {
      F_Data::Reset ();
      measure   = 0;
      saturated = kFALSE;
      pileup    = kFALSE;
   }


   void F_Trapez_Spectro::Reset (const faster_data_p data) {
     trapez_spectro* a_trap;
     if (Data_Check (data)) {
        F_Data::Reset (data);
        a_trap    = (trapez_spectro*) faster_data_load_p (data);
        measure   = a_trap->measure;
        saturated = a_trap->saturated;
        pileup    = a_trap->pileup;
     }
   }


   TString F_Trapez_Spectro::Type_Name ()
   {
      return "TRAPEZ_SPECTRO";
   }


   Bool_t F_Trapez_Spectro::Type_Check (const Int_t type)
   {
      return (type == TRAPEZ_SPECTRO_TYPE_ALIAS);
   }


